io.vertx.kafka.admin

## Class ConsumerGroupDescription

- java.lang.Object
- - io.vertx.kafka.admin.ConsumerGroupDescription

-     public class ConsumerGroupDescription
      extends Object

  A detailed description of a single consumer group in the cluster

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsumerGroupDescription()` Constructor
    `ConsumerGroupDescription(JsonObject json)` Constructor (from JSON representation)
    `ConsumerGroupDescription(String groupId, boolean isSimpleConsumerGroup, List<MemberDescription> members, String partitionAssignor, org.apache.kafka.common.ConsumerGroupState state, Node coordinator)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getCoordinator()`
    `String` | `getGroupId()`
    `List<MemberDescription>` | `getMembers()`
    `String` | `getPartitionAssignor()`
    `org.apache.kafka.common.ConsumerGroupState` | `getState()`
    `boolean` | `isSimpleConsumerGroup()`
    `ConsumerGroupDescription` | `setCoordinator(Node coordinator)` Set the consumer group coordinator, or null if the coordinator is not known
    `ConsumerGroupDescription` | `setGroupId(String groupId)` Set the id of the consumer group
    `ConsumerGroupDescription` | `setMembers(List<MemberDescription> members)` Set a list of the members of the consumer group
    `ConsumerGroupDescription` | `setPartitionAssignor(String partitionAssignor)` Set the consumer group partition assignor
    `ConsumerGroupDescription` | `setSimpleConsumerGroup(boolean isSimpleConsumerGroup)` Set if consumer group is simple or not
    `ConsumerGroupDescription` | `setState(org.apache.kafka.common.ConsumerGroupState state)` Set the consumer group state, or UNKNOWN if the state is too new for us to parse
    `JsonObject` | `toJson()` Convert object to JSON representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsumerGroupDescription

          public ConsumerGroupDescription()

      Constructor

    - #### ConsumerGroupDescription

          public ConsumerGroupDescription(String groupId,
                                          boolean isSimpleConsumerGroup,
                                          List<MemberDescription> members,
                                          String partitionAssignor,
                                          org.apache.kafka.common.ConsumerGroupState state,
                                          Node coordinator)

      Constructor
      Parameters:
        `groupId` - the id of the consumer group
        `isSimpleConsumerGroup` - if consumer group is simple or not
        `members` - a list of the members of the consumer group
        `partitionAssignor` - the consumer group partition assignor
        `state` - the consumer group state, or UNKNOWN if the state is too new for us to parse
        `coordinator` - the consumer group coordinator, or null if the coordinator is not known

    - #### ConsumerGroupDescription

          public ConsumerGroupDescription(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Returns:
        the id of the consumer group

    - #### setGroupId

          public ConsumerGroupDescription setGroupId(String groupId)

      Set the id of the consumer group
      Parameters:
        `groupId` - the id of the consumer group
      Returns:
        current instance of the class to be fluent

    - #### isSimpleConsumerGroup

          public boolean isSimpleConsumerGroup()

      Returns:
        if consumer group is simple or not

    - #### setSimpleConsumerGroup

          public ConsumerGroupDescription setSimpleConsumerGroup(boolean isSimpleConsumerGroup)

      Set if consumer group is simple or not
      Parameters:
        `isSimpleConsumerGroup` - if consumer group is simple or not
      Returns:
        current instance of the class to be fluent

    - #### getCoordinator

          public Node getCoordinator()

      Returns:
        the consumer group coordinator, or null if the coordinator is not known

    - #### setCoordinator

          public ConsumerGroupDescription setCoordinator(Node coordinator)

      Set the consumer group coordinator, or null if the coordinator is not known
      Parameters:
        `coordinator` - the consumer group coordinator, or null if the coordinator is not known
      Returns:
        current instance of the class to be fluent

    - #### getMembers

          public List<MemberDescription> getMembers()

      Returns:
        a list of the members of the consumer group

    - #### setMembers

          public ConsumerGroupDescription setMembers(List<MemberDescription> members)

      Set a list of the members of the consumer group
      Parameters:
        `members` - a list of the members of the consumer group
      Returns:
        current instance of the class to be fluent

    - #### getPartitionAssignor

          public String getPartitionAssignor()

      Returns:
        the consumer group partition assignor

    - #### setPartitionAssignor

          public ConsumerGroupDescription setPartitionAssignor(String partitionAssignor)

      Set the consumer group partition assignor
      Parameters:
        `partitionAssignor` - the consumer group partition assignor
      Returns:
        current instance of the class to be fluent

    - #### getState

          public org.apache.kafka.common.ConsumerGroupState getState()

      Returns:
        the consumer group state, or UNKNOWN if the state is too new for us to parse

    - #### setState

          public ConsumerGroupDescription setState(org.apache.kafka.common.ConsumerGroupState state)

      Set the consumer group state, or UNKNOWN if the state is too new for us to parse
      Parameters:
        `state` - the consumer group state, or UNKNOWN if the state is too new for us to parse
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.